Cigar::CigarOperator Struct Reference

## Public Member Functions

| CigarOperator (Operation operation, uint32_t count)
| Set the cigar operator with the specified operation and count length.
char | getChar () const
| Get the character code (M, I, D, N, S, H, or P) associated with this operation.
bool | operator== (const CigarOperator &rhs) const
| Compare only on the operator, true if they are the same, false if not. Match and mismatch are considered the same for CIGAR strings.
bool | operator!= (const CigarOperator &rhs) const
| Compare only on the operator, false if they are the same, true if not. Match and mismatch are considered the same for CIGAR strings.

## Public Attributes

Operation | operation
uint32_t | count

## Detailed Description

Definition at line 107 of file Cigar.h.

The documentation for this struct was generated from the following file:

- general/Cigar.h